%define name trimage
%define version 1.0.5
%define release %mkrel 3

Summary:	A GUI based lossless image compressor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Graphics
URL:		http://trimage.org
Source:		%{name}_%{version}.orig.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
BuildRequires: %{_lib}python-devel
Requires:	advancecomp
Requires:	jpegoptim
Requires:	optipng
Requires:	pngcrush
Requires:	python-qt4

%description
Trimage is a cross-platform GUI and command-line interface to optimize image
files via optipng, advpng, pngcrush and jpegoptim, depending on the filetype
(currently, PNG and JPG files are supported). All image files are losslessly
compressed on the highest available compression levels. Trimage gives you
various input functions to fit your own workflow: A regular file dialog,
dragging and dropping and various command line options.


%prep
%setup -n %{name}-%{version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

PYTHONDONTWRITEBYTECODE= python setup.py install \
  --prefix=%{_prefix} \
  --root=%{buildroot} \
  --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-, root, root)
%doc README COPYING

%changelog
* Fri Aug 16 2013 billybot <billybot> 1.0.5-3pclos2013
- update python 2.7

